Summary: Benchmarking authorative and recursing DNS servers
Name: dnsperf
Version: 1.0.1.0
Release: 4%{?dist}
License: MIT
Url: http://www.nominum.com/services/measurement_tools.php
Source: ftp://ftp.nominum.com/pub/nominum/dnsperf/%{version}/dnsperf-src-%{version}-1.tar.gz
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: bind-devel >= 9.3.0, libcap-devel, bzip2, openssl-devel
BuildRequires: krb5-devel
Requires: gnuplot pcapy python-dns

%description
This is dnsperf, a collection of DNS server performance testing tools.
For more information, see the dnsperf(1) and resperf(1) man pages.

%prep
%setup -q -n dnsperf-src-%{version}-1
%configure  

%build
%{__make} CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install
bzip2 -9 examples/queryfile-example-100thousand
echo "For a better test, use ftp://ftp.nominum.com/pub/nominum/dnsperf/data/queryfile-example-3million.gz" > examples/README.largetest
install contrib/queryparse/queryparse %{buildroot}/%{_bindir}
install -D -m 644 contrib/queryparse/queryparse.1 %{buildroot}/%{_mandir}/man1/queryparse.1
gzip %{buildroot}/%{_mandir}/man1/queryparse.1

%clean
rm -rf ${RPM_BUILD_ROOT}

%files 
%defattr(-,root,root,-)
%doc README RELEASE_NOTES doc examples/*
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Wed Oct 31 2008 Paul Wouters <paul@xelerance.com> - 1.0.1.0-4
- Changed license from BSD to MIT

* Wed Oct 22 2008 Paul Wouters <paul@xelerance.com> - 1.0.1.0-3
- Fixed missing buildrequires
- Pass proper CFLAGS to gcc
- Fix Group

* Tue Oct 21 2008 Paul Wouters <paul@xelerance.com> - 1.0.1.0-2
- Fixed libpcap vs libcap confusion

* Mon Oct 20 2008 Paul Wouters <paul@xelerance.com> - 1.0.1.0-1
- Initial Fedora package
